from logger import Logger
from persistqueue import Queue

class PersistentQueue(object):
    def __init__(self, config):
        super(PersistentQueue, self).__init__()
        self.queue = Queue(config['file'])

    def execute(self, data):
        Logger.log("PersistentQueue %s" % (str(data)))
        self.queue.put_nowait(data)

    def empty(self):
        return not self.queue.qsize()

    def get(self):
        item = self.queue.get()
        self.queue.task_done()
        return item